com.r3corda.contracts.asset / Obligation / IssuanceDefinition / <init>

# <init>

`IssuanceDefinition(obligor: Party, template: StateTemplate<P>)`

Subset of state, containing the elements specified when issuing a new settlement contract. TODO: This needs to be something common to contracts that we can be obliged to pay, and moved out into core accordingly.

### Parameters

`P` - the product the obligation is for payment of.